* {
    box-sizing: border-box;
}

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    /* Allow the page to be taller than the screen */
    min-height: 100vh; 
    overflow-x: hidden; /* Prevent side-scrolling */
    overflow-y: auto;   /* Enable vertical scrolling */
    background-color: #000;
}

#media-container {
    width: 100vw;
    display: flex;
    flex-direction: column;
}

#main-video, #main-img {
    display: block;
    width: 100vw;   /* Force it to take full width */
    height: auto;   /* Let the height scale naturally */
    border: none;
}